be.fgov.ehealth.hubservices.core.v3

## Class AccessRightListType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.AccessRightListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:23:04+02:00",
                 comments="JAXB RI v2.3.7")
      public class AccessRightListType
      extends Object
      implements Serializable

  Java class for AccessRightListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AccessRightListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="accessright" type="{http://www.ehealth.fgov.be/hubservices/core/v3}AccessRightType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessRightListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AccessRightType>` | `getAccessrights()` Gets the value of the accessrights property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessRightListType

          public AccessRightListType()

  - ### Method Detail

    - #### getAccessrights

          public List<AccessRightType> getAccessrights()

      Gets the value of the accessrights property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessrights property.

      For example, to add a new item, do as follows:

              getAccessrights().add(newItem);

      Objects of the following type(s) are allowed in the list `AccessRightType`

Connector Packaging generic 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.